diff scripts/api/setup-optional.sh @ 10:a50cf11e5178

Rewrite LGDataverse completely upgrading to dataverse4.0
author Zoe Hong <zhong@mpiwg-berlin.mpg.de>
date Tue, 08 Sep 2015 17:00:21 +0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/api/setup-optional.sh	Tue Sep 08 17:00:21 2015 +0200
@@ -0,0 +1,13 @@
+#!/bin/bash
+command -v jq >/dev/null 2>&1 || { echo >&2 '`jq` ("sed for JSON") is required, but not installed. Download the binary for your platform from http://stedolan.github.io/jq/ and make sure it is in your $PATH (/usr/bin/jq is fine) and executable with `sudo chmod +x /usr/bin/jq`. On Mac, you can install it with `brew install jq` if you use homebrew: http://brew.sh . Aborting.'; exit 1; }
+
+# OPTIONAL USERS AND DATAVERSES
+TMP=setup.temp
+./setup-users.sh | tee $TMP
+
+PETE=$(cat $TMP | grep :result: | grep Pete | cut -d: -f4)
+UMA=$(cat $TMP | grep :result: | grep Uma | cut -d: -f4)
+
+./setup-dvs.sh $PETE $UMA
+
+rm $TMP